﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Drawing;
    
public partial class Page4 : System.Web.UI.Page
{
    private string message;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        Button1.Text = "Пошлите запрос";
        Button1.ToolTip = "Щелкните здесь";
    
        Button2.Text = "Пошлите команду";
        Button2.ToolTip = "Щелкните здесь";
        Button2.CommandName = "Go";
        Button2.CommandArgument = "Now";
    
        CheckBox1.Text = "Элемент CheckBox";
        CheckBox1.TextAlign = TextAlign.Left;
        CheckBox1.ToolTip = "Это флажок";
        CheckBox1.Font.Bold = true;
        CheckBox1.Font.Size = FontUnit.Larger;
        CheckBox1.AutoPostBack = true;
    
        RadioButton1.Text = "Радиокнопка 1";
        RadioButton1.ToolTip = "Это радиокнопка1";
        RadioButton1.Style.Add("color", "red");
        RadioButton1.AutoPostBack = true;
    
        RadioButton2.Text = "Радиокнопка 2";
        RadioButton2.ToolTip = "Это радиокнопка2";
        RadioButton2.Style.Add("color", "blue");
        RadioButton2.AutoPostBack = true;
    
        HyperLink1.NavigateUrl = "Resources/Thanks.htm";
        HyperLink1.Text = "Приветствие!!!";
        HyperLink1.Attributes.Add("OnClick"
            , @"javascript:alert('Сейчас будет приветствие\nв новом окне!');");
        // Должно быть что-то непустое, тогда будет создано новое окно
        HyperLink1.Target = "_blank";
    
        Image1.ImageUrl = "Resources/pict1.gif"; 
        Image1.AlternateText = "Добыча знаний по ASP.NET";
        Image1.Enabled = true;
        Image1.Font.Italic = true;
        Image1.ImageAlign = ImageAlign.AbsMiddle;
    
        ImageButton1.ImageUrl = "Resources/pict2.gif";
        ImageButton1.AlternateText = "Это рисунок-кнопка";
        ImageButton1.Enabled = true;
        ImageButton1.Font.Italic = true;
        ImageButton1.ImageAlign = ImageAlign.AbsMiddle;
    
        Label1.Text = "Это элемент Label текстовой метки ";
    
        LinkButton1.Text = "Это элемент LinkButton";
        LinkButton1.CausesValidation = false;
        LinkButton1.ToolTip = "Это LinkButton";
    
        Literal1.Text = "<b>Пусть это некоторый код</b>";
    
        Panel1.BackImageUrl = "Resources/grid_background.gif";
        Panel1.HorizontalAlign = HorizontalAlign.Center;
        Panel1.Wrap = true;  // Значение по умолчанию
        Panel1.Width = Unit.Pixel(150); // Заворот строк
        Panel1.Controls.Add(new LiteralControl(
            "<font color=\"white\">Это литерал на панели</font>"));
        Panel1.Controls.Add(new TextBox());
        Panel1.Controls.Add(new Button());
    
        // Динамическое создание элементов таблицы
        Table1.CellPadding = 10;
        Table1.CellSpacing = 10;
        Table1.BackColor = Color.Red;
        TableRow TableRow1 = new TableRow();    // Создали
        Table1.Controls.Add(TableRow1);         // Добавили в коллекцию родителя
        TableRow1.Height = 20;                  // Настроили
        TableCell TableCell1 = new TableCell(); // Создали
        TableRow1.Controls.Add(TableCell1);     // Добавили в коллекцию родителя
        TableCell1.BackColor = Color.White;     // Настроили...
        TableCell1.BorderColor = Color.Blue;
        TableCell1.BorderWidth = 5;
        TableCell1.BorderStyle = BorderStyle.Dashed;
        TableCell1.Text = "Содержание TableCell";
    
        TextBox1.Text = "Содержание TextBox";
        TextBox1.Rows = 3;
        TextBox1.Columns = 40;
        TextBox1.ReadOnly = false;
        TextBox1.TextMode = TextBoxMode.MultiLine;
    
        System.Xml.XmlDocument xmlDoc = new System.Xml.XmlDocument();
        xmlDoc.InnerXml = "<foo>Это конструкция XML</foo>";
        Xml1.Document = xmlDoc;
    }
    
    protected void Button1_Click(object sender, EventArgs e)
    {
        printResult("Нажата кнопка");
    }
    
    protected void Button2_Command(object sender, CommandEventArgs e)
    {
        message = "Послана команда.";
        message += "<br>Имя команды Go, параметр ("
            + e.CommandArgument + ")";
        printResult(message);
    }
    
    protected void CheckBox1_CheckedChanged(object sender, EventArgs e)
    {
        message = "Элемент CheckBox находится в состоянии ";
        if (CheckBox1.Checked)
            message += "\"ВКЛЮЧЕНО\"";
        else
            message += "\"ВЫКЛЮЧЕНО\"";
        printResult(message);
    }
    
    protected void RadioButton1_CheckedChanged(object sender, EventArgs e)
    {
        message = "Левая радиокнопка в состоянии ";
        if (RadioButton1.Checked)
            message += "\"ВКЛЮЧЕНО\"";
        else
            message += "\"ВЫКЛЮЧЕНО\"";
    
        message += "<br>Правая радиокнопка в состоянии ";
        if (RadioButton2.Checked)
            message += "\"ВКЛЮЧЕНО\"";
        else
            message += "\"ВЫКЛЮЧЕНО\"";
        printResult(message);
    }
    
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        printResult("Нажата кнопка ImageButton");
    }
    
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        printResult("Нажата кнопка LinkButton");
    }
    
    protected void TextBox1_TextChanged(object sender, EventArgs e)
    {
        printResult("Текстовое поле ввода TextBox изменилось");
    }
    
    protected void printResult(string message)
    {
        Response.Write("<font color=red><h1 align=center>");
        Response.Write(message);
        Response.Write("</font></h1>");
    }
}
